> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recording Info

> Get info about a recording



## OpenAPI

````yaml GET /recordings/{recording_id}
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /recordings/{recording_id}:
    get:
      tags:
        - recordings
      summary: recordings/:id
      description: Get info about a recording
      operationId: GetRecordingInfo
      parameters:
        - name: recording_id
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 0cb313e1-211f-4be0-833d-8c7305b19902
                    description: >-
                      A unique, opaque ID for this object. You can use this ID
                      in API calls, and in paginated list operations.
                  room_name:
                    type: string
                    description: The name of the [room](/reference/rest-api/rooms).
                  start_ts:
                    type: integer
                    example: 1548789650
                    description: >-
                      When the recording started. This is a unix timestamp
                      (seconds since the epoch).
                  status:
                    type: string
                    example: finished
                    enum:
                      - finished
                      - in-progress
                      - canceled
                  max_participants:
                    type: integer
                    example: 2
                    description: >-
                      The maximum number of participants that were ever in this
                      room together during the meeting session that was
                      recorded.
                  duration:
                    type: integer
                    example: 277
                    description: >-
                      How many seconds long the recording is, approximately.
                      This property is not returned for recordings that are
                      in-progress.
                  share_token:
                    type: string
                    example: TivXjlD22QQt
                    description: Deprecated.
                  s3key:
                    type: string
                    example: mydomain/test-recording-room/11245260397
                    description: The S3 Key associated with this recording.
                  mtgSessionId:
                    type: string
                    example: 257764e6-c74e-4c30-944a-a887a03173a3
                    description: The meeting session ID for this recording.
                  tracks:
                    type: array
                    description: >-
                      If the recording is a raw-tracks recording, a tracks field
                      will be provided. If role permissions have been removed,
                      the tracks field may be null.
                    items:
                      type: object
                      properties:
                        size:
                          type: integer
                          example: 15620
                          description: The size of the file.
                        type:
                          type: string
                          example: audio
                          enum:
                            - audio
                            - video
                          description: The type of track file, audio or video.
                        s3key:
                          type: string
                          example: mydomain/test-recording-room/11245260397-audio
                          description: >-
                            The S3 Key associated with this partiicular track
                            file.
              examples:
                Result:
                  value:
                    id: 0cb313e1-211f-4be0-833d-8c7305b19902
                    start_ts: 1548789650
                    status: finished
                    max_participants: 2
                    duration: 277
                    share_token: TivXjlD22QQt
                    s3key: mydomain/test-recording-room/11245260397
                    mtgSessionId: 257764e6-c74e-4c30-944a-a887a03173a3
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````